12/18/2015 11:13 AM - Bryan Kearney

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1229404 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1229404

Description of problem:

If "Use Puppet default” is selected, the value that is inserted as the default from Satellite 6, will never be used. Even though, it is still
validated for parameter type.

This breaks when, for example, you use a module that uses an array parameter from a params.pp file like "${$::class::params::var'}".

Setting 'parameter type' to array will break because the 'Default value' "${$::class::params::var}" parses as a string, but you cannot
set it to 'string', because that will break merging of overrides.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. install puppetlabs-ntp

2. check 'override', check 'use puppet default' and set parameter type to 'array’

3. try and override the value somewhere

Actual results:

you actually cannot even save the parameter setup, because Sat6 will tell you "Value to use when there is no match is invalid", as it

is a string, and not an array

Expected results:
value of 'default value' is ignored for validation if 'use puppet default' is checked

Additional info:

Related issues:
Is duplicate of Foreman - Bug #9187: Overrideable empty puppet class paramete... Closed 02/02/2015

History

#1 - 12/18/2015 11:20 AM - Dominic Cleal

- Is duplicate of Bug #9187: Overrideable empty puppet class parameters are still validate their default value added

#2 - 12/18/2015 11:21 AM - Dominic Cleal

- Status changed from New to Duplicate
